|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
TIMER_INTERFACE Struct Reference
MPLABX MCC Melody Code Generator » Timer Driver

Structure containing the function pointers of TIMER driver. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/mcc_generated_files/timer/timer_interface.h>`

Collaboration diagram for TIMER_INTERFACE:

## Data Fields
void(* | Initialize )(void)
| Pointer to MCCPx_Timer_Initialize or SCCPx_Timer_Initialize or TMRx_Initialize e.g. SCCP1_Timer_Initialize or TMR1_Initialize.
void(* | Deinitialize )(void)
| Pointer to MCCPx_Timer_Deinitialize or SCCPx_Timer_Deinitialize or TMRx_Deinitialize e.g. SCCP1_Timer_Deinitialize or TMR1_Deinitialize.
void(* | Start )(void)
| Pointer to MCCPx_Timer_Start or SCCPx_Timer_Start or TMRx_Start e.g. SCCP1_Timer_Start or TMR1_Start.
void(* | Stop )(void)
| Pointer to MCCPx_Timer_Stop or SCCPx_Timer_Stop or TMRx_Stop e.g. SCCP1_Timer_Stop or TMR1_Stop.
void(* | PeriodSet )(uint32_t count)
| Pointer to MCCPx_Timer_PeriodSet or SCCPx_Timer_PeriodSet or TMRx_PeriodSet e.g. SCCP1_Timer_PeriodSet or TMR1_PeriodSet.
uint32_t(* | PeriodGet )(void)
| Pointer to MCCPx_Timer_PeriodGet or SCCPx_Timer_PeriodGet or TMRx_PeriodGet e.g. SCCP1_Timer_PeriodGet or TMR1_PeriodGet.
uint32_t(* | CounterGet )(void)
| Pointer to MCCPx_Timer_CounterGet or SCCPx_Timer_CounterGet or TMRx_CounterGet e.g. SCCP1_Timer_CounterGet or TMR1_CounterGet.
void(* | InterruptPrioritySet )(enum INTERRUPT_PRIORITY priority)
| Pointer to MCCPx_Timer_InterruptPrioritySet or SCCPx_Timer_InterruptPrioritySet or TMRx_InterruptPrioritySet e.g. SCCP1_Timer_InterruptPrioritySet or TMR1_InterruptPrioritySet.
void(* | TimeoutCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to MCCPx_TimeoutCallbackRegister or SCCPx_TimeoutCallbackRegister or TMRx_TimeoutCallbackRegister e.g. SCCP1_TimeoutCallbackRegister or TMR1_TimeoutCallbackRegister.
void(* | Tasks )(void)
| Pointer to MCCPx_Timer_Tasks or SCCPx_Timer_Tasks or TMRx_Tasks e.g. SCCP1_Timer_Tasks or TMR1_Tasks (Supported only in polling mode)

## Detailed Description

Definition at line 60 of file timer_interface.h.

## Field Documentation

## ◆ CounterGet

uint32_t(* CounterGet) (void)

Definition at line 85 of file timer_interface.h.

## ◆ Deinitialize

void(* Deinitialize) (void)

Definition at line 65 of file timer_interface.h.

## ◆ Initialize

void(* Initialize) (void)

Definition at line 62 of file timer_interface.h.

## ◆ InterruptPrioritySet

void(* InterruptPrioritySet) (enum INTERRUPT_PRIORITY priority)

Definition at line 88 of file timer_interface.h.

## ◆ PeriodGet

uint32_t(* PeriodGet) (void)

Definition at line 82 of file timer_interface.h.

## ◆ PeriodSet

void(* PeriodSet) (uint32_t count)

Definition at line 79 of file timer_interface.h.

## ◆ Start

void(* Start) (void)

Definition at line 68 of file timer_interface.h.

## ◆ Stop

void(* Stop) (void)

Definition at line 71 of file timer_interface.h.

## ◆ Tasks

void(* Tasks) (void)

Definition at line 94 of file timer_interface.h.

## ◆ TimeoutCallbackRegister

void(* TimeoutCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 91 of file timer_interface.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/mcc_generated_files/timer/timer_interface.h